<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.jgroups.stack.transport.TCP" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="client-socket-binding,diagnostics-socket-binding,machine,module,properties,rack,site,socket-binding,statistics-enabled"/>
        <elem name="addr-params" value="profile,subsystem,stack,transport"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.jgroups"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.jgroups.transport.$stack"/>
    </provides>
    <requires>
        <capability name="org.wildfly.network.socket-binding.$diagnostics-socket-binding" optional="true"/>
        <capability name="org.wildfly.network.socket-binding.$socket-binding"/>
        <capability name="org.wildfly.network.socket-binding.$client-socket-binding" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.jgroups.stack"/>
        <ref feature="subsystem.jgroups"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="stack" feature-id="true"/>
        <param name="rack" nillable="true" stability="default"/>
        <param name="module" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="jgroups"/>
        <param name="transport" feature-id="true" default="TCP"/>
        <param name="diagnostics-socket-binding" nillable="true" stability="default"/>
        <param name="statistics-enabled" nillable="true" stability="default"/>
        <param name="client-socket-binding" nillable="true" stability="default"/>
        <param name="site" nillable="true" stability="default"/>
        <param name="socket-binding" stability="default"/>
        <param name="machine" nillable="true" stability="default"/>
        <param name="properties" nillable="true" stability="default"/>
    </params>
</feature-spec>